
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# provide meta-data
set(qtutilities_varname "QT_UTILITIES")
set(qtutilities_static_varname "QT_UTILITIES")
set(QT_UTILITIES_DISPLAY_NAME "Qt Utilities")
set(QT_UTILITIES_AUTHOR "Martchus")
set(QT_UTILITIES_VERSION "5.13.0")
set(QT_UTILITIES_VERSION_MAJOR "5")
set(QT_UTILITIES_VERSION_MINOR "13")
set(QT_UTILITIES_VERSION_PATCH "0")
set(QT_UTILITIES_GIT_REV_COUNT "")
set(QT_UTILITIES_GIT_LAST_COMMIT_ID "")
set(QT_UTILITIES_URL "https://github.com/Martchus/qtutilities")
set(QT_UTILITIES_DESCRIPTION "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
set(QT_UTILITIES_LICENSE "GPL-2")

# define general config
set(QT_UTILITIES_IS_HEADER_ONLY NO)
set(QT_UTILITIES_HAS_SHARED_LIB ON)
set(QT_UTILITIES_HAS_STATIC_LIB ON)
set(QT_UTILITIES_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(QT_UTILITIES_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(QT_UTILITIES_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(QT_UTILITIES_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/qtutilities/cmake/modules")
set(QT_UTILITIES_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/qtutilities/cmake")
set(QT_UTILITIES_PRIVATE_QT_MODULES "Widgets;Core")
set(QT_UTILITIES_PRIVATE_KF_MODULES "")
set(QT_UTILITIES_PUBLIC_QT_MODULES "Core;Widgets")
set(QT_UTILITIES_PUBLIC_KF_MODULES "")
set(QT_UTILITIES_HAS_QT_TRANSLATION_FILES YES)
set(QT_UTILITIES_QT_RESOURCES qtutilsicons;qtutilities_translations)

# include files for shared/static specific configuration
set(QT_UTILITIES_HAS_SHARED_LIB NO)
set(QT_UTILITIES_HAS_STATIC_LIB NO)
file(GLOB QT_UTILITIES_SPECIFIC_CONFIG_FILES
    LIST_DIRECTORIES OFF
    "${CMAKE_CURRENT_LIST_DIR}/qtutilities?*Config.cmake"
)
foreach(SPECIFIC_CONFIG_FILE IN LISTS QT_UTILITIES_SPECIFIC_CONFIG_FILES)
    include("${SPECIFIC_CONFIG_FILE}")
endforeach()
unset(SPECIFIC_CONFIG_FILE)

# set default target: prefer shared lib over static lib
if(QT_UTILITIES_HAS_SHARED_LIB)
    set(QT_UTILITIES_LIB "qtutilities")
else()
    set(QT_UTILITIES_LIB "qtutilities_static")
endif()

# define macro to ease use of library in projects following conventions of c++utilities' build script
macro(use_QT_UTILITIES)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${QT_UTILITIES_MODULE_DIRS})
    # link against library (also "link" against header-only libs to get compile defs and interface link libs)
    link_directories(${QT_UTILITIES_LIB_DIR})
    include(3rdParty)
    if(NOT ARGV0)
        set(QT_UTILITIES_LINKAGE AUTO_LINKAGE)
    else()
        set(QT_UTILITIES_LINKAGE "${ARG0}")
    endif()
    link_against_library(QT_UTILITIES "${QT_UTILITIES_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES
        ${QT_UTILITIES_PUBLIC_QT_MODULES}
        ${QT_UTILITIES_PRIVATE_QT_MODULES}
    )
    list(APPEND IMPORTED_KF_MODULES
        ${QT_UTILITIES_PUBLIC_KF_MODULES}
        ${QT_UTILITIES_PRIVATE_KF_MODULES}
    )
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(QT_UTILITIES_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES qtutilities)
    endif()
endmacro()
